#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - mod_python preinstallation script
#
# Copyright (c) 2007-2008 Sebastian Scholze <webmaster(at)schlotze(dot)de
#
# Creation:     2007-05-02 schlotze
# Last Update:  $Id: preinstall.sh 21110 2009-09-09 15:07:02Z schlotze $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

#set packages name
packages_name='mod_jk'

# test of packages is installed
test -f /var/install/packages/${packages_name}  &&
mecho -info "preinstalling ${packages_name} ..."

#---------------------------------------------------------------------------
# check for menu file and create it
#---------------------------------------------------------------------------
deinstall_file=/var/install/deinstall/apache2

#------------------------------------------------------------------------------
# update system
#------------------------------------------------------------------------------
test -f /var/install/deinstall/${packages_name} &&
sh /var/install/deinstall/${packages_name} update

exit 0
#------------------------------------------------------------------------------
# end
#------------------------------------------------------------------------------
